package soccerTeamExample_textbookVersion;

/**
 * This class encapsulates a listener for a model of a team member. Described in
 * Fig 4.24 and p.98 of the Olsen textbook.
 * 
 * @author mb
 * 
 */
public interface TeamMemberModelListener {

	/**
	 * Method that is invoked when this listener wishes to respond or to react
	 * to a change that originated in whichever object this listener is
	 * listening to.
	 */
	public void changed();

}
