package soccerTeamExample_textbookVersion;

import java.awt.event.ActionListener;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

/**
 * This widget will dispatch events.
 * 
 * @author mb
 * 
 */
public class LabeledTextComponent extends JPanel {
	private JTextField theField;

	private LabeledTextComponent() {
	}

	public LabeledTextComponent(String theLabel) {
		this.add(new JLabel(theLabel));
		theField = new JTextField(20);
		this.add(theField);
	}

	public void setText(String theText) {
		System.out.print("Updating component value from >" + theField.getText()
				+ "< ");
		theField.setText(theText);
		System.out.println("to >" + theField.getText() + "<");
	}

	public void addActionListener(ActionListener l) {
		theField.addActionListener(l);
	}

	public String getText() {
		return theField.getText();
	}

}
